package com.example.ueberwachungssystem;

import android.content.Context;
import android.hardware.Camera;
import android.media.CamcorderProfile;
import android.media.MediaPlayer;
import android.media.MediaRecorder;
import android.util.Log;
import android.view.SurfaceView;
import android.widget.VideoView;

import java.io.File;
import java.io.IOException;

public class AudioRecorder {
    private final Context context;
    private Camera camera;
    private MediaRecorder mediaRecorder = null;
    private SurfaceView surfaceView;

    public AudioRecorder (Context context) {
        this.context = context;
        this.surfaceView = new SurfaceView(context);
    }


    public void startRecording() {

        mediaRecorder = new MediaRecorder();

        mediaRecorder.setAudioSource(MediaRecorder.AudioSource.MIC);
        mediaRecorder.setOutputFormat(MediaRecorder.OutputFormat.MPEG_4);
        mediaRecorder.setAudioEncoder(MediaRecorder.AudioEncoder.AAC);
        mediaRecorder.setOutputFile(context.getFilesDir() + "/audio.mp3");


        try {
            mediaRecorder.prepare();
            mediaRecorder.start();
        } catch (IOException e) {
            Log.e("audioRecorder", "prepare() failed");
        }
    }

    public void stopRecording() {
        if (mediaRecorder != null) {
            try {
                mediaRecorder.stop();
                mediaRecorder.release();
                mediaRecorder = null;
            } catch (RuntimeException e) {
                // RuntimeException may be thrown if the MediaRecorder is in an invalid state
                e.printStackTrace();
            }
        }
    }

    public void playAudio() {
        MediaPlayer mp = new MediaPlayer();
        try {
            mp.setDataSource(context.getFilesDir() + "/audio.mp3");
            mp.prepare();
            mp.start();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    public void deleteRecording(){
        File file = new File(context.getFilesDir() + "/audio.mp3");
        if (file.exists()) {
            file.delete();
        }
    }
}
